Skip to main content
POST
/
api
/
v4
/
mining
/
payout-destination
Get Payout Destination
curl --request POST \
  --url https://whitebit.com/api/v4/mining/payout-destination \
  --header 'Content-Type: application/json' \
  --header 'X-TXC-APIKEY: <api-key>' \
  --header 'X-TXC-PAYLOAD: <api-key>' \
  --header 'X-TXC-SIGNATURE: <api-key>' \
  --data '
{
  "accountName": "my_miner_01"
}
'
import requests

url = "https://whitebit.com/api/v4/mining/payout-destination"

payload = { "accountName": "my_miner_01" }
headers = {
    "X-TXC-APIKEY": "<api-key>",
    "X-TXC-PAYLOAD": "<api-key>",
    "X-TXC-SIGNATURE": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'X-TXC-APIKEY': '<api-key>',
    'X-TXC-PAYLOAD': '<api-key>',
    'X-TXC-SIGNATURE': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({accountName: 'my_miner_01'})
};

fetch('https://whitebit.com/api/v4/mining/payout-destination', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "payoutDestination": "main_balance",
  "externalAddress": null
}
{
  "code": 0,
  "message": "Validation failed",
  "errors": {
    "user": [
      "Mining account not found."
    ]
  }
}

Authorizations

X-TXC-APIKEY
string
header
required

The public WhiteBIT API key.

X-TXC-PAYLOAD
string
header
required

Base64-encoded JSON request body.

X-TXC-SIGNATURE
string
header
required

HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).

Body

application/json
accountName
string
required

Mining pool account name

Example:

"my_miner_01"

Response

Successful response

payoutDestination
enum<string>

Payout destination type

Available options:
main_balance,
external_address
externalAddress
string | null

External BTC address (null if destination is main_balance)